Subject: Re: [PATCH net-next-2.6 01/19 v5] can: EG20T PCH: Separate Interface Register(IF1/IF2)

From: Marc Kleine-Budde <[email-masked]>
Date: Mon, 29 Nov 2010 10:22:27 +0100

On 11/29/2010 02:59 AM, Tomoya MORINAGA wrote:
> On Friday, November 26, 2010 7:04 PM, Marc Kleine-Budde wrote:
> 
>>> nitpick: it's unusual to have leading whitespace in the patch description.
> 
>> maybe it's a problem of your mailer.
> I can see the whitespace created patch by "git format-patch"
> I show the head of patch below.
> 
> From e53c63a8ff00c76f165e371511604f374451627b Mon Sep 17 00:00:00 2001
> From: Tomoya MORINAGA <[email-masked]>
> Date: Thu, 18 Nov 2010 09:18:15 +0900
> Subject: [PATCH] CAN : Separate interface register from whole of register structure.
>  CAN register of Intel PCH EG20T has 2 sets of interface register.
>  To reduce whole of code size, separate interface register.
>  As a result, the number of function also can be reduced.
> 
> Signed-off-by: Tomoya MORINAGA <[email-masked]>

Maybe your patch description in git commit is unusual. It should be a
one line patch subject, followed by a blank line, then a multi line
patch description. The a blank line followed by the S-o-b. Have a look
at 15) in Documentation/SubmittingPatches.

> ---
>  drivers/net/can/pch_can.c |  445 ++++++++++++++++++++-------------------------
>  1 files changed, 201 insertions(+), 244 deletions(-)
> 
> .........
> 
> Since I have copied from the patch file directly, whitespace is inserted.
> When next resubmitting, I will delete the whiletespace by hand.

No need for this.

Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |